delete from report_sql WHERE COMPUTER={?Computer};
-- num20=1: po ena vrstica za vsak dan v periodi (glavni report)
-- num20=2: detajli (subreport)
-- date1 = day

-- generiranje vrstic za vsak dan v periodi
INSERT INTO report_sql (computer, date1, num20)
SELECT {?Computer}, {?Datum_od} + rownum -1, 1
FROM   all_objects
WHERE  rownum <= {?Datum_do} - {?Datum_od}+1
;

-- num1  = znesek
-- date2 = datum rauna
-- str1  = tevilka rauna
-- num2  = id_kupca
-- num3  = id_plovila
-- str2  = naziv storitve/artikla
-- num4  = koliina
-- date1 = dan storitve
-- num5  = id_saldkont (za sort)

-- storitve v obdobju (subreport)
INSERT INTO report_sql (computer, num1, date2, str1, num2, num3, str2, num4, date1, num5, num20)
SELECT {?Computer},rd.znesek, s.datum, m.n_racuna, s.id_kupca, s.id_plovila, st.opis, m.kolicina, trunc(m.service_time), s.id_saldkont, 2
FROM m_storitve m
JOIN racun_data rd ON m.id_storitve=rd.id_storitve
JOIN saldkont s ON rd.id_saldkont=s.id_saldkont
JOIN m_nnstomar st ON m.storitev=st.sifra
WHERE m.storitev in ('FUEL', 'FUED', 'P')
AND m.n_racuna IS NOT NULL AND m.n_racuna <> 'STORNO'
AND trunc(m.service_time) BETWEEN {?Datum_od} AND {?Datum_do}
UNION ALL
SELECT {?Computer}, rd.znesek, s.datum, rd.n_racuna, s.id_kupca, s.id_plovila, st.naziv1, o.kolicina, trunc(s.datum), s.id_saldkont, 2
FROM s_obracun o
JOIN racun_data rd ON o.id_obracun=rd.id_obracun
JOIN saldkont s ON rd.id_saldkont=s.id_saldkont
JOIN s_artikli st ON o.id_artikel=st.id_artikel
WHERE o.id_artikel in (3,4,5,6,7,8,9,10)
AND trunc(s.datum) BETWEEN {?Datum_od} AND {?Datum_do}
;