delete from report_sql where computer={?computer};

--dolzina (num1) in st. prostih privezov (num2)
insert into report_sql (computer, num1, num2, date1, date2)
select {?computer}, p.dolzina, count(*), {?datum_od}, {?datum_do} from nnprivez p
left join nnpomol po on p.kategorija = po.sifra
where 1=1
?and p.objekt = {?objekt} 
?and p.kategorija = {?kategorija}
?and po.nnlocation_id = {?location}
and p.occupancy_statistics = 'Y'
group by p.dolzina;

-- zasedeni privezi (num3)
update report_sql set
num3=nvl((select st_zased_dni_sum/({?datum_do}-{?datum_od}) from
          (select sum(st_zased_dni) as st_zased_dni_sum, dolzina from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1,3,4)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
	     and occupancy_statistics = 'Y'
             )
            group by dolzina)
     where dolzina=num1),0)
where computer={?computer};

--noitve zasedene (num5)
update report_sql set
num5=nvl((select st_zased_dni_sum from
          (select sum(st_zased_dni) as st_zased_dni_sum, dolzina from (
             select 
                 case when r.datum_od = r.datum_do then 0
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina
             from rezervac_detail r INNER JOIN rezervac rzr on r.ID_REZERVAC = rzr.ID and rzr.vrsta='TR'
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1,3,4)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
	     and occupancy_statistics = 'Y'
             )
            group by dolzina)
     where dolzina=num1),0)
where computer={?computer};

--noitve na voljo (num4)
update report_sql set
num4=({?datum_do}-{?datum_od})*num2
where computer={?computer};

--% zasedenih noi (num6)
update report_sql set
num6=(num5/num4)*100
where computer={?computer};

--metri na voljo (num7)
update report_sql set
num7=(num1*num2*({?datum_do}-{?datum_od}))
where computer={?computer};

--metri zasedeni (num8)
update report_sql set
num8=nvl((select zased_m from
          (select sum(st_zased_dni*dolzina_pl) as zased_m, dolzina from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina,
                 plovila.dolzina as dolzina_pl
             from rezervac_detail r INNER JOIN rezervac rzr on r.ID_REZERVAC = rzr.ID and rzr.vrsta='TR'
             join nnprivez on r.id_privez=nnprivez.id_privez
             join rezervac on r.id_rezervac=rezervac.id
             join plovila  on rezervac.id_plovila=plovila.id
             where r.status_rezervac in (0,1,3,4)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             and occupancy_statistics = 'Y'
             )
            group by dolzina)
     where dolzina=num1),0)
where computer={?computer};

--% zasedenih metrov (num9)
update report_sql set
num9 = CASE WHEN num7=0 then 0 ELSE num8/num7*100 END
where computer={?computer};

--noitve zasedene (num12)
update report_sql set
num12=nvl((select st_zased_dni_sum from
          (select sum(st_zased_dni) as st_zased_dni_sum, dolzina from (
             select 
                 case when r.datum_od = r.datum_do then 0
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina
             from rezervac_detail r INNER JOIN rezervac rzr on r.ID_REZERVAC = rzr.ID and rzr.vrsta='PO'
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1,3,4)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
	     and occupancy_statistics = 'Y'
             )
            group by dolzina)
     where dolzina=num1),0)
where computer={?computer};

--noitve na voljo (num11)
update report_sql set
num11=({?datum_do}-{?datum_od})*num2
where computer={?computer};

--% zasedenih noi (num13)
update report_sql set
num13=(num12/num11)*100
where computer={?computer};

--metri na voljo (num14)
update report_sql set
num14=(num1*num2*({?datum_do}-{?datum_od}))
where computer={?computer};

--metri zasedeni (num15)
update report_sql set
num15=nvl((select zased_m from
          (select sum(st_zased_dni*dolzina_pl) as zased_m, dolzina from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina,
                 plovila.dolzina as dolzina_pl
             from rezervac_detail r INNER JOIN rezervac rzr on r.ID_REZERVAC = rzr.ID and rzr.vrsta='PO'
             join nnprivez on r.id_privez=nnprivez.id_privez
             join rezervac on r.id_rezervac=rezervac.id
             join plovila  on rezervac.id_plovila=plovila.id
             where r.status_rezervac in (0,1,3,4)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             and occupancy_statistics = 'Y'
             )
            group by dolzina)
     where dolzina=num1),0)
where computer={?computer};

--% zasedenih metrov (num16)
update report_sql set
num16 = CASE WHEN num14=0 then 0 ELSE num15/num14*100 END
where computer={?computer};









